#ifndef _RCPULSE_H
#define _RCPULSE_H
/**********************************************
*              rcpulse.h
*
* Author: Michael Pearce <mike@kiwacan.co.nz>
*
* Started: 29 September 2006
*
* Copyright 2006 Michael Pearce All Rights reserved 
*
* Free to use in Non Commercial private projects.
* For Commercial licencing contact the author.
***********************************************
*              Version Info
***********************************************
* V1.0 - 29 September 2006
* First Draft
**********************************************/
#include <p30fxxxx.h>

#define RCLat    _LATB0
#define RCTris   _TRISB0


/**************************************
* 8 Bit Values for 30MIP Clocking 
* Value = 0   = 0.9945ms
* Value = 255 = 1.989ms
*
* RCBase and RCMax can be changed to 
* increase or decrease the control 
* resolution.
* 
* Calculation:
* RCMax = Max Resolution value  required
*
* RCBase = 1ms/RCMax * (1/30,000,000)
*
* Note: RCMax * RCBase * 2 must be <= 65535
*************************************/
#define RCBase   117   // Number of clocks in 1/256 of a ms @ 30MIP
#define RCMax    255   // Bigest number allowed

extern void RCPulse_Init(void);
extern int RCPulse(unsigned int Pulse);
extern int RCDone(void);



#endif

